set nocompatible
filetype on
filetype indent on
filetype plugin on
set laststatus=2
syntax on
set backspace=indent,eol,start
set ignorecase

"using tabcharacter with a width of 4 columns as indent.
""set tabstop=4
"set softtabstop=4
""set shiftwidth=4
"set noexpandtab
"
""using 4 spaces as indent
set tabstop=4
set softtabstop=0
set expandtab
set shiftwidth=4
"set smarttab

highlight ColorColumn ctermbg=232
set colorcolumn=81,121
highlight ColorColumn2 ctermbg=235
call matchadd('ColorColumn2', '\%81v', 100)
call matchadd('ColorColumn2', '\%121v', 100)

highlight Statement ctermfg=3

""syntax highlighting for TT
au BufNewFile,BufRead *.tt setf tt2html
autocmd FileType tt2html setlocal shiftwidth=2 tabstop=2 autoindent smartindent
